Bug 220390 - htdig.conf and rundig have different common_dir setting
htdig.conf and rundig have different common_dir setting
Product: Fedora
Classification: Fedora
Component: htdig (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Depends On:
  Show dependency treegraph
Reported: 2006-12-20 17:10 EST by Ahmon Dancy
Modified: 2013-04-30 19:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-01 10:46:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ahmon Dancy 2006-12-20 17:10:29 EST
/etc/htdig/htdig.conf has:
common_dir:     /usr/share/htdig

but /usr/bin/rundig has:

/usr/share/htdig seems to be correct 
1) since /var/www/html/htdig is not provided by the htdig nor htdig-web package
2) /usr/share/htdig has the english.0 and synonyms files that the rundig script
is looking for.
Comment 1 Adam Tkac 2007-01-18 10:58:54 EST
Hm, I don't think that /usr/share/htdig is correct path. httpd daemon uses
/var/www/html/ directory for web pages. Looks like that /usr/share/htdig must be
change to /var/www/html/htdig. Do you also think that this solution is better?
Comment 2 Ahmon Dancy 2007-01-18 16:37:07 EST
I did some investigation.  Here is my updated opinion on the matter.

1) /usr/share/htdig is a suitable location since the files are indeed shareable
between different htdig databases.  Leaving it unchanged will reduce
incompatibility.  However, /var/www/html/hdig is OK too.   
2) Right now the rundig script uses its own COMMONDIR variable to determine if
it should update the synonyms.db, word2root.db, and root2word.db files (by
running htfuzzy).  I think that whole section of the rundig script should be
removed and, instead, those *.db files should be created when the rpm is
installed (and removed when the rpm is removed).

Comment 3 Adam Tkac 2007-01-23 07:56:09 EST
I did some investigations and this is my conclusion. I think this is only
name-equality. Variable COMMONDIR in rundig script doesn't have any common with
common_dir variable in htdig.conf. Do you think my thinking is wrong?
Comment 4 Ahmon Dancy 2007-01-23 13:09:28 EST
It would be highly coincidental for COMMONDIR to not have the same meaning as
common_dir.  In the htdig source code, the default location for the english.0 is
in 'common_dir'.  And, the template file for rundig has:


where @COMMON_DIR@ resolves to whatever default common_dir was configured.

<time passes>

Ok. I had a look at the source RPM again and I see what the issue is.
htdig is being configured with --with-common-dir=/var/www/html/htdig, which is
fine.  So, /usr/bin/rundig gets created with COMMONDIR=/var/www/html/htdig. 
However, htdig-3.1.5-rh.patch alters the common_dir variable in htdig.conf so
that common_dir is /usr/share/htdig, thus creating the inconsistency.  One of
them needs to be fixed.  As it stands, rundig will not work out of the box.

Comment 5 Adam Tkac 2007-02-01 10:46:42 EST
In the end I've changed common_dir in config file to /var/www/html/htdig

Note You need to log in before you can comment on or make changes to this bug.